View Issue Details

IDProjectCategoryView StatusLast Update
0000983Far Manager 1.7xCommand Line/Executepublic2009-11-20 04:44
ReportercorwinntAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.75 
Target VersionFixed in Version1.75 
Summary0000983: Обрабатываются не все файлы в "Apply To" (Ctrl-G) при использовании del, move и т.д.
DescriptionЕсли Ctrl-G удаляет или перемещает обрабатываемый файл с активной панели, то следующий за ним в списке файл пропускается и не обрабатывается. Например команда "pkzipc -extr !.! & del !.!" обрабатывает каждый второй архив. Замечено в 1.75 build 2600, хотя поломалось, видимо раньше, возможно в районе 2591. В 2.0 build 1046 x86 ещё работает правильно.
TagsNo tags attached.
Build2616

Relationships

related to 0001144 closedzg Far Manager Ctrl-G обрабатывает каждый выделенный файл несколько раз 
related to 0001167 closedvskirdin Far Manager 1.7x Баг с коммандой CTRL+G 

Activities

Smitis

2009-09-11 00:23

reporter   bugnote:0004063

Last edited: 2009-09-11 00:24

View 3 revisions

А если файлы/папки добавляются, команда может выполниться повторно.
Например:
- при сортировке папки размещаются в начале списка;
- папка qwerty отсутствует;
- выделяем хотя бы один файл;
- выполняем echo ! & md qwerty & pause
Команда выполнится два раза.

Всё зависит, изменилась ли позиция текущего обрабатываемого файла в списке. Если увеличилась (в моём примере добавилась папка) - файл обработается повторно. Если уменьшилась (удалить файл/папку стоящий с списке раньше или удалить сам файл) - следующий обрабатываемый файл пропускается. Если позиция не изменилась (файл добавился после), следующий файл обработается как положено.

alexy

2009-10-31 21:53

administrator   bugnote:0004415

Видимо операцию надо делать атомически, получить и сохранить список всех помеченных и только потом обрабатывать.

alexy

2009-10-31 21:54

administrator   bugnote:0004416

А может и нет...

alexy

2009-11-02 11:39

administrator   bugnote:0004430

Это вроде исправлено в 2.0.

alexy

2009-11-03 14:36

administrator   bugnote:0004481

Валя в 2.0 в 1192 это исправлено, проверь если это надо и в 1.75 засунуть.

alexy

2009-11-18 02:20

administrator   bugnote:0004550

2616

JohnDoe

2009-11-19 18:42

updater   bugnote:0004556

Last edited: 2009-11-19 18:50

View 2 revisions

В 2616 баг остался
Чтобы увидеть выделяем 2 файла и запускаем echo !.!>>1

Видим 3 троки

Если без >> - видим 2 строки

Issue History

Date Modified Username Field Change
2009-07-28 13:51 corwinnt New Issue
2009-09-11 00:23 Smitis Note Added: 0004063
2009-09-11 00:23 Smitis Note Edited: 0004063 View Revisions
2009-09-11 00:24 Smitis Note Edited: 0004063 View Revisions
2009-10-30 13:27 alexy Relationship added related to 0001144
2009-10-31 21:53 alexy Note Added: 0004415
2009-10-31 21:54 alexy Note Added: 0004416
2009-11-02 11:39 alexy Note Added: 0004430
2009-11-02 11:39 alexy Assigned To => zg
2009-11-02 11:39 alexy Status new => assigned
2009-11-03 14:36 alexy Assigned To zg => vskirdin
2009-11-03 14:36 alexy Note Added: 0004481
2009-11-18 01:55 alexy Relationship added has duplicate 0001167
2009-11-18 02:20 alexy Note Added: 0004550
2009-11-18 02:20 alexy Assigned To vskirdin => alexy
2009-11-18 02:20 alexy Status assigned => feedback
2009-11-19 18:42 JohnDoe Note Added: 0004556
2009-11-19 18:50 JohnDoe Note Edited: 0004556 View Revisions
2009-11-20 04:44 alexy Build => 2616
2009-11-20 04:44 alexy Status feedback => closed
2009-11-20 04:44 alexy Fixed in Version => 1.75
2009-11-20 04:44 alexy Resolution open => fixed
2009-11-20 04:46 alexy Relationship deleted has duplicate 0001167
2009-11-20 04:51 alexy Relationship added related to 0001167